<template>
  <div class="flex py-2 px-1" :class="{ 'justify-end': owned }">
    <div class="flex flex-row justify-around">
      <img
        class="rounded-full mx-2"
        :class="{ 'order-last': owned }"
        width="50"
        height="50"
        :src="photo"
      />
      <span
        class="flex rounded-lg text-white max-w-xs px-4 py-2 text-left text-xl overflow-clip overflow-hidden"
        :class="messageColor"
      >
        {{ message }}
      </span>
    </div>
  </div>
</template>

<script>
import { ref } from "vue";
import monkey from "@/assets/image/monkey50x50.png";
export default {
  props: {
    photo: {
      type: String,
      required: false,
      default: monkey,
    },
    role: { type: String, required: true },
    message: { type: String, required: true },
    owned: { type: Boolean, required: true },
  },
  setup({ owned, role, photo }) {
    const colorByRole = {
      owned: "bg-blue-500",
      Teammate: "bg-yellow-500",
      Judge: "bg-red-500",
      Mentor: "bg-green-500",
    };
    const messageColor = ref(
      owned
        ? colorByRole.owned
        : colorByRole[role]
        ? colorByRole[role]
        : "bg-indigo-500"
    );
    const messagePhoto = ref(photo);
    return { messageColor, messagePhoto };
  },
};
</script>

<style></style>
